Package org.eclipse.m2m.atl.common.ATL

## Interface ATLPackage.Literals

Enclosing class:
  ATLPackage

    public static interface ATLPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

### Field Summary

Fields
`static org.eclipse.emf.ecore.EClass` `ACTION_BLOCK` The meta object literal for the '`Action Block`' class.
`static org.eclipse.emf.ecore.EReference` `ACTION_BLOCK__RULE` The meta object literal for the 'Rule' container reference feature.
`static org.eclipse.emf.ecore.EReference` `ACTION_BLOCK__STATEMENTS` The meta object literal for the 'Statements' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `BINDING` The meta object literal for the '`Binding`' class.
`static org.eclipse.emf.ecore.EAttribute` `BINDING__IS_ASSIGNMENT` The meta object literal for the 'Is Assignment' attribute feature.
`static org.eclipse.emf.ecore.EReference` `BINDING__OUT_PATTERN_ELEMENT` The meta object literal for the 'Out Pattern Element' container reference feature.
`static org.eclipse.emf.ecore.EAttribute` `BINDING__PROPERTY_NAME` The meta object literal for the 'Property Name' attribute feature.
`static org.eclipse.emf.ecore.EReference` `BINDING__VALUE` The meta object literal for the 'Value' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `BINDING_STAT` The meta object literal for the '`Binding Stat`' class.
`static org.eclipse.emf.ecore.EAttribute` `BINDING_STAT__IS_ASSIGNMENT` The meta object literal for the 'Is Assignment' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `BINDING_STAT__PROPERTY_NAME` The meta object literal for the 'Property Name' attribute feature.
`static org.eclipse.emf.ecore.EReference` `BINDING_STAT__SOURCE` The meta object literal for the 'Source' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `BINDING_STAT__VALUE` The meta object literal for the 'Value' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `CALLED_RULE` The meta object literal for the '`Called Rule`' class.
`static org.eclipse.emf.ecore.EAttribute` `CALLED_RULE__IS_ENDPOINT` The meta object literal for the 'Is Endpoint' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `CALLED_RULE__IS_ENTRYPOINT` The meta object literal for the 'Is Entrypoint' attribute feature.
`static org.eclipse.emf.ecore.EReference` `CALLED_RULE__PARAMETERS` The meta object literal for the 'Parameters' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `DROP_PATTERN` The meta object literal for the '`Drop Pattern`' class.
`static org.eclipse.emf.ecore.EReference` `DROP_PATTERN__OUT_PATTERN` The meta object literal for the 'Out Pattern' container reference feature.
`static org.eclipse.emf.ecore.EClass` `EXPRESSION_STAT` The meta object literal for the '`Expression Stat`' class.
`static org.eclipse.emf.ecore.EReference` `EXPRESSION_STAT__EXPRESSION` The meta object literal for the 'Expression' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `FOR_EACH_OUT_PATTERN_ELEMENT` The meta object literal for the '`For Each Out Pattern Element`' class.
`static org.eclipse.emf.ecore.EReference` `FOR_EACH_OUT_PATTERN_ELEMENT__COLLECTION` The meta object literal for the 'Collection' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `FOR_EACH_OUT_PATTERN_ELEMENT__ITERATOR` The meta object literal for the 'Iterator' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `FOR_STAT` The meta object literal for the '`For Stat`' class.
`static org.eclipse.emf.ecore.EReference` `FOR_STAT__COLLECTION` The meta object literal for the 'Collection' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `FOR_STAT__ITERATOR` The meta object literal for the 'Iterator' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `FOR_STAT__STATEMENTS` The meta object literal for the 'Statements' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `HELPER` The meta object literal for the '`Helper`' class.
`static org.eclipse.emf.ecore.EReference` `HELPER__DEFINITION` The meta object literal for the 'Definition' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `HELPER__LIBRARY` The meta object literal for the 'Library' container reference feature.
`static org.eclipse.emf.ecore.EReference` `HELPER__QUERY` The meta object literal for the 'Query' container reference feature.
`static org.eclipse.emf.ecore.EClass` `IF_STAT` The meta object literal for the '`If Stat`' class.
`static org.eclipse.emf.ecore.EReference` `IF_STAT__CONDITION` The meta object literal for the 'Condition' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `IF_STAT__ELSE_STATEMENTS` The meta object literal for the 'Else Statements' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` `IF_STAT__THEN_STATEMENTS` The meta object literal for the 'Then Statements' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `IN_PATTERN` The meta object literal for the '`In Pattern`' class.
`static org.eclipse.emf.ecore.EReference` `IN_PATTERN__ELEMENTS` The meta object literal for the 'Elements' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` `IN_PATTERN__FILTER` The meta object literal for the 'Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `IN_PATTERN__RULE` The meta object literal for the 'Rule' container reference feature.
`static org.eclipse.emf.ecore.EClass` `IN_PATTERN_ELEMENT` The meta object literal for the '`In Pattern Element`' class.
`static org.eclipse.emf.ecore.EReference` `IN_PATTERN_ELEMENT__IN_PATTERN` The meta object literal for the 'In Pattern' container reference feature.
`static org.eclipse.emf.ecore.EReference` `IN_PATTERN_ELEMENT__MAPS_TO` The meta object literal for the 'Maps To' reference feature.
`static org.eclipse.emf.ecore.EReference` `IN_PATTERN_ELEMENT__MODELS` The meta object literal for the 'Models' reference list feature.
`static org.eclipse.emf.ecore.EClass` `LAZY_MATCHED_RULE` The meta object literal for the '`Lazy Matched Rule`' class.
`static org.eclipse.emf.ecore.EAttribute` `LAZY_MATCHED_RULE__IS_UNIQUE` The meta object literal for the 'Is Unique' attribute feature.
`static org.eclipse.emf.ecore.EClass` `LIBRARY` The meta object literal for the '`Library`' class.
`static org.eclipse.emf.ecore.EReference` `LIBRARY__HELPERS` The meta object literal for the 'Helpers' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `LIBRARY_REF` The meta object literal for the '`Library Ref`' class.
`static org.eclipse.emf.ecore.EAttribute` `LIBRARY_REF__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EReference` `LIBRARY_REF__UNIT` The meta object literal for the 'Unit' container reference feature.
`static org.eclipse.emf.ecore.EClass` `LOCATED_ELEMENT` The meta object literal for the '`Located Element`' class.
`static org.eclipse.emf.ecore.EAttribute` `LOCATED_ELEMENT__COMMENTS_AFTER` The meta object literal for the 'Comments After' attribute list feature.
`static org.eclipse.emf.ecore.EAttribute` `LOCATED_ELEMENT__COMMENTS_BEFORE` The meta object literal for the 'Comments Before' attribute list feature.
`static org.eclipse.emf.ecore.EAttribute` `LOCATED_ELEMENT__LOCATION` The meta object literal for the 'Location' attribute feature.
`static org.eclipse.emf.ecore.EClass` `MATCHED_RULE` The meta object literal for the '`Matched Rule`' class.
`static org.eclipse.emf.ecore.EReference` `MATCHED_RULE__CHILDREN` The meta object literal for the 'Children' reference list feature.
`static org.eclipse.emf.ecore.EReference` `MATCHED_RULE__IN_PATTERN` The meta object literal for the 'In Pattern' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `MATCHED_RULE__IS_ABSTRACT` The meta object literal for the 'Is Abstract' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `MATCHED_RULE__IS_NO_DEFAULT` The meta object literal for the 'Is No Default' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `MATCHED_RULE__IS_REFINING` The meta object literal for the 'Is Refining' attribute feature.
`static org.eclipse.emf.ecore.EReference` `MATCHED_RULE__SUPER_RULE` The meta object literal for the 'Super Rule' reference feature.
`static org.eclipse.emf.ecore.EClass` `MODULE` The meta object literal for the '`Module`' class.
`static org.eclipse.emf.ecore.EReference` `MODULE__ELEMENTS` The meta object literal for the 'Elements' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` `MODULE__IN_MODELS` The meta object literal for the 'In Models' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `MODULE__IS_REFINING` The meta object literal for the 'Is Refining' attribute feature.
`static org.eclipse.emf.ecore.EReference` `MODULE__OUT_MODELS` The meta object literal for the 'Out Models' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `MODULE_ELEMENT` The meta object literal for the '`Module Element`' class.
`static org.eclipse.emf.ecore.EReference` `MODULE_ELEMENT__MODULE` The meta object literal for the 'Module' container reference feature.
`static org.eclipse.emf.ecore.EClass` `OUT_PATTERN` The meta object literal for the '`Out Pattern`' class.
`static org.eclipse.emf.ecore.EReference` `OUT_PATTERN__DROP_PATTERN` The meta object literal for the 'Drop Pattern' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `OUT_PATTERN__ELEMENTS` The meta object literal for the 'Elements' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` `OUT_PATTERN__RULE` The meta object literal for the 'Rule' container reference feature.
`static org.eclipse.emf.ecore.EClass` `OUT_PATTERN_ELEMENT` The meta object literal for the '`Out Pattern Element`' class.
`static org.eclipse.emf.ecore.EReference` `OUT_PATTERN_ELEMENT__BINDINGS` The meta object literal for the 'Bindings' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` `OUT_PATTERN_ELEMENT__MODEL` The meta object literal for the 'Model' reference feature.
`static org.eclipse.emf.ecore.EReference` `OUT_PATTERN_ELEMENT__OUT_PATTERN` The meta object literal for the 'Out Pattern' container reference feature.
`static org.eclipse.emf.ecore.EReference` `OUT_PATTERN_ELEMENT__SOURCE_ELEMENT` The meta object literal for the 'Source Element' reference feature.
`static org.eclipse.emf.ecore.EClass` `PATTERN_ELEMENT` The meta object literal for the '`Pattern Element`' class.
`static org.eclipse.emf.ecore.EClass` `QUERY` The meta object literal for the '`Query`' class.
`static org.eclipse.emf.ecore.EReference` `QUERY__BODY` The meta object literal for the 'Body' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `QUERY__HELPERS` The meta object literal for the 'Helpers' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `RULE` The meta object literal for the '`Rule`' class.
`static org.eclipse.emf.ecore.EReference` `RULE__ACTION_BLOCK` The meta object literal for the 'Action Block' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `RULE__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EReference` `RULE__OUT_PATTERN` The meta object literal for the 'Out Pattern' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `RULE__VARIABLES` The meta object literal for the 'Variables' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `RULE_VARIABLE_DECLARATION` The meta object literal for the '`Rule Variable Declaration`' class.
`static org.eclipse.emf.ecore.EReference` `RULE_VARIABLE_DECLARATION__RULE` The meta object literal for the 'Rule' container reference feature.
`static org.eclipse.emf.ecore.EClass` `SIMPLE_IN_PATTERN_ELEMENT` The meta object literal for the '`Simple In Pattern Element`' class.
`static org.eclipse.emf.ecore.EClass` `SIMPLE_OUT_PATTERN_ELEMENT` The meta object literal for the '`Simple Out Pattern Element`' class.
`static org.eclipse.emf.ecore.EReference` `SIMPLE_OUT_PATTERN_ELEMENT__REVERSE_BINDINGS` The meta object literal for the 'Reverse Bindings' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `STATEMENT` The meta object literal for the '`Statement`' class.
`static org.eclipse.emf.ecore.EClass` `UNIT` The meta object literal for the '`Unit`' class.
`static org.eclipse.emf.ecore.EReference` `UNIT__LIBRARIES` The meta object literal for the 'Libraries' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `UNIT__NAME` The meta object literal for the 'Name' attribute feature.

### Field Detail

#### LOCATED_ELEMENT

    static final org.eclipse.emf.ecore.EClass LOCATED_ELEMENT

The meta object literal for the '`Located Element`' class.

See Also:
  `LocatedElement`, `ATLPackage.getLocatedElement()`

#### LOCATED_ELEMENT__LOCATION

    static final org.eclipse.emf.ecore.EAttribute LOCATED_ELEMENT__LOCATION

The meta object literal for the 'Location' attribute feature.

#### LOCATED_ELEMENT__COMMENTS_BEFORE

    static final org.eclipse.emf.ecore.EAttribute LOCATED_ELEMENT__COMMENTS_BEFORE

The meta object literal for the 'Comments Before' attribute list feature.

#### LOCATED_ELEMENT__COMMENTS_AFTER

    static final org.eclipse.emf.ecore.EAttribute LOCATED_ELEMENT__COMMENTS_AFTER

The meta object literal for the 'Comments After' attribute list feature.

#### UNIT

    static final org.eclipse.emf.ecore.EClass UNIT

The meta object literal for the '`Unit`' class.

See Also:
  `Unit`, `ATLPackage.getUnit()`

#### UNIT__LIBRARIES

    static final org.eclipse.emf.ecore.EReference UNIT__LIBRARIES

The meta object literal for the 'Libraries' containment reference list feature.

#### UNIT__NAME

    static final org.eclipse.emf.ecore.EAttribute UNIT__NAME

The meta object literal for the 'Name' attribute feature.

#### LIBRARY

    static final org.eclipse.emf.ecore.EClass LIBRARY

The meta object literal for the '`Library`' class.

See Also:
  `Library`, `ATLPackage.getLibrary()`

#### LIBRARY__HELPERS

    static final org.eclipse.emf.ecore.EReference LIBRARY__HELPERS

The meta object literal for the 'Helpers' containment reference list feature.

#### QUERY

    static final org.eclipse.emf.ecore.EClass QUERY

The meta object literal for the '`Query`' class.

See Also:
  `Query`, `ATLPackage.getQuery()`

#### QUERY__BODY

    static final org.eclipse.emf.ecore.EReference QUERY__BODY

The meta object literal for the 'Body' containment reference feature.

#### QUERY__HELPERS

    static final org.eclipse.emf.ecore.EReference QUERY__HELPERS

The meta object literal for the 'Helpers' containment reference list feature.

#### MODULE

    static final org.eclipse.emf.ecore.EClass MODULE

The meta object literal for the '`Module`' class.

See Also:
  `Module`, `ATLPackage.getModule()`

#### MODULE__IS_REFINING

    static final org.eclipse.emf.ecore.EAttribute MODULE__IS_REFINING

The meta object literal for the 'Is Refining' attribute feature.

#### MODULE__IN_MODELS

    static final org.eclipse.emf.ecore.EReference MODULE__IN_MODELS

The meta object literal for the 'In Models' containment reference list feature.

#### MODULE__OUT_MODELS

    static final org.eclipse.emf.ecore.EReference MODULE__OUT_MODELS

The meta object literal for the 'Out Models' containment reference list feature.

#### MODULE__ELEMENTS

    static final org.eclipse.emf.ecore.EReference MODULE__ELEMENTS

The meta object literal for the 'Elements' containment reference list feature.

#### MODULE_ELEMENT

    static final org.eclipse.emf.ecore.EClass MODULE_ELEMENT

The meta object literal for the '`Module Element`' class.

See Also:
  `ModuleElement`, `ATLPackage.getModuleElement()`

#### MODULE_ELEMENT__MODULE

    static final org.eclipse.emf.ecore.EReference MODULE_ELEMENT__MODULE

The meta object literal for the 'Module' container reference feature.

#### HELPER

    static final org.eclipse.emf.ecore.EClass HELPER

The meta object literal for the '`Helper`' class.

See Also:
  `Helper`, `ATLPackage.getHelper()`

#### HELPER__QUERY

    static final org.eclipse.emf.ecore.EReference HELPER__QUERY

The meta object literal for the 'Query' container reference feature.

#### HELPER__LIBRARY

    static final org.eclipse.emf.ecore.EReference HELPER__LIBRARY

The meta object literal for the 'Library' container reference feature.

#### HELPER__DEFINITION

    static final org.eclipse.emf.ecore.EReference HELPER__DEFINITION

The meta object literal for the 'Definition' containment reference feature.

#### RULE

    static final org.eclipse.emf.ecore.EClass RULE

The meta object literal for the '`Rule`' class.

See Also:
  `Rule`, `ATLPackage.getRule()`

#### RULE__OUT_PATTERN

    static final org.eclipse.emf.ecore.EReference RULE__OUT_PATTERN

The meta object literal for the 'Out Pattern' containment reference feature.

#### RULE__ACTION_BLOCK

    static final org.eclipse.emf.ecore.EReference RULE__ACTION_BLOCK

The meta object literal for the 'Action Block' containment reference feature.

#### RULE__VARIABLES

    static final org.eclipse.emf.ecore.EReference RULE__VARIABLES

The meta object literal for the 'Variables' containment reference list feature.

#### RULE__NAME

    static final org.eclipse.emf.ecore.EAttribute RULE__NAME

The meta object literal for the 'Name' attribute feature.

#### MATCHED_RULE

    static final org.eclipse.emf.ecore.EClass MATCHED_RULE

The meta object literal for the '`Matched Rule`' class.

See Also:
  `MatchedRule`, `ATLPackage.getMatchedRule()`

#### MATCHED_RULE__IN_PATTERN

    static final org.eclipse.emf.ecore.EReference MATCHED_RULE__IN_PATTERN

The meta object literal for the 'In Pattern' containment reference feature.

#### MATCHED_RULE__CHILDREN

    static final org.eclipse.emf.ecore.EReference MATCHED_RULE__CHILDREN

The meta object literal for the 'Children' reference list feature.

#### MATCHED_RULE__SUPER_RULE

    static final org.eclipse.emf.ecore.EReference MATCHED_RULE__SUPER_RULE

The meta object literal for the 'Super Rule' reference feature.

#### MATCHED_RULE__IS_ABSTRACT

    static final org.eclipse.emf.ecore.EAttribute MATCHED_RULE__IS_ABSTRACT

The meta object literal for the 'Is Abstract' attribute feature.

#### MATCHED_RULE__IS_REFINING

    static final org.eclipse.emf.ecore.EAttribute MATCHED_RULE__IS_REFINING

The meta object literal for the 'Is Refining' attribute feature.

#### MATCHED_RULE__IS_NO_DEFAULT

    static final org.eclipse.emf.ecore.EAttribute MATCHED_RULE__IS_NO_DEFAULT

The meta object literal for the 'Is No Default' attribute feature.

#### LAZY_MATCHED_RULE

    static final org.eclipse.emf.ecore.EClass LAZY_MATCHED_RULE

The meta object literal for the '`Lazy Matched Rule`' class.

See Also:
  `LazyMatchedRule`, `ATLPackage.getLazyMatchedRule()`

#### LAZY_MATCHED_RULE__IS_UNIQUE

    static final org.eclipse.emf.ecore.EAttribute LAZY_MATCHED_RULE__IS_UNIQUE

The meta object literal for the 'Is Unique' attribute feature.

#### CALLED_RULE

    static final org.eclipse.emf.ecore.EClass CALLED_RULE

The meta object literal for the '`Called Rule`' class.

See Also:
  `CalledRule`, `ATLPackage.getCalledRule()`

#### CALLED_RULE__PARAMETERS

    static final org.eclipse.emf.ecore.EReference CALLED_RULE__PARAMETERS

The meta object literal for the 'Parameters' containment reference list feature.

#### CALLED_RULE__IS_ENTRYPOINT

    static final org.eclipse.emf.ecore.EAttribute CALLED_RULE__IS_ENTRYPOINT

The meta object literal for the 'Is Entrypoint' attribute feature.

#### CALLED_RULE__IS_ENDPOINT

    static final org.eclipse.emf.ecore.EAttribute CALLED_RULE__IS_ENDPOINT

The meta object literal for the 'Is Endpoint' attribute feature.

#### IN_PATTERN

    static final org.eclipse.emf.ecore.EClass IN_PATTERN

The meta object literal for the '`In Pattern`' class.

See Also:
  `InPattern`, `ATLPackage.getInPattern()`

#### IN_PATTERN__ELEMENTS

    static final org.eclipse.emf.ecore.EReference IN_PATTERN__ELEMENTS

The meta object literal for the 'Elements' containment reference list feature.

#### IN_PATTERN__RULE

    static final org.eclipse.emf.ecore.EReference IN_PATTERN__RULE

The meta object literal for the 'Rule' container reference feature.

#### IN_PATTERN__FILTER

    static final org.eclipse.emf.ecore.EReference IN_PATTERN__FILTER

The meta object literal for the 'Filter' containment reference feature.

#### OUT_PATTERN

    static final org.eclipse.emf.ecore.EClass OUT_PATTERN

The meta object literal for the '`Out Pattern`' class.

See Also:
  `OutPattern`, `ATLPackage.getOutPattern()`

#### OUT_PATTERN__RULE

    static final org.eclipse.emf.ecore.EReference OUT_PATTERN__RULE

The meta object literal for the 'Rule' container reference feature.

#### OUT_PATTERN__DROP_PATTERN

    static final org.eclipse.emf.ecore.EReference OUT_PATTERN__DROP_PATTERN

The meta object literal for the 'Drop Pattern' containment reference feature.

#### OUT_PATTERN__ELEMENTS

    static final org.eclipse.emf.ecore.EReference OUT_PATTERN__ELEMENTS

The meta object literal for the 'Elements' containment reference list feature.

#### DROP_PATTERN

    static final org.eclipse.emf.ecore.EClass DROP_PATTERN

The meta object literal for the '`Drop Pattern`' class.

See Also:
  `DropPattern`, `ATLPackage.getDropPattern()`

#### DROP_PATTERN__OUT_PATTERN

    static final org.eclipse.emf.ecore.EReference DROP_PATTERN__OUT_PATTERN

The meta object literal for the 'Out Pattern' container reference feature.

#### PATTERN_ELEMENT

    static final org.eclipse.emf.ecore.EClass PATTERN_ELEMENT

The meta object literal for the '`Pattern Element`' class.

See Also:
  `PatternElement`, `ATLPackage.getPatternElement()`

#### IN_PATTERN_ELEMENT

    static final org.eclipse.emf.ecore.EClass IN_PATTERN_ELEMENT

The meta object literal for the '`In Pattern Element`' class.

See Also:
  `InPatternElement`, `ATLPackage.getInPatternElement()`

#### IN_PATTERN_ELEMENT__MAPS_TO

    static final org.eclipse.emf.ecore.EReference IN_PATTERN_ELEMENT__MAPS_TO

The meta object literal for the 'Maps To' reference feature.

#### IN_PATTERN_ELEMENT__IN_PATTERN

    static final org.eclipse.emf.ecore.EReference IN_PATTERN_ELEMENT__IN_PATTERN

The meta object literal for the 'In Pattern' container reference feature.

#### IN_PATTERN_ELEMENT__MODELS

    static final org.eclipse.emf.ecore.EReference IN_PATTERN_ELEMENT__MODELS

The meta object literal for the 'Models' reference list feature.

#### SIMPLE_IN_PATTERN_ELEMENT

    static final org.eclipse.emf.ecore.EClass SIMPLE_IN_PATTERN_ELEMENT

The meta object literal for the '`Simple In Pattern Element`' class.

See Also:
  `SimpleInPatternElement`, `ATLPackage.getSimpleInPatternElement()`

#### OUT_PATTERN_ELEMENT

    static final org.eclipse.emf.ecore.EClass OUT_PATTERN_ELEMENT

The meta object literal for the '`Out Pattern Element`' class.

See Also:
  `OutPatternElement`, `ATLPackage.getOutPatternElement()`

#### OUT_PATTERN_ELEMENT__OUT_PATTERN

    static final org.eclipse.emf.ecore.EReference OUT_PATTERN_ELEMENT__OUT_PATTERN

The meta object literal for the 'Out Pattern' container reference feature.

#### OUT_PATTERN_ELEMENT__SOURCE_ELEMENT

    static final org.eclipse.emf.ecore.EReference OUT_PATTERN_ELEMENT__SOURCE_ELEMENT

The meta object literal for the 'Source Element' reference feature.

#### OUT_PATTERN_ELEMENT__BINDINGS

    static final org.eclipse.emf.ecore.EReference OUT_PATTERN_ELEMENT__BINDINGS

The meta object literal for the 'Bindings' containment reference list feature.

#### OUT_PATTERN_ELEMENT__MODEL

    static final org.eclipse.emf.ecore.EReference OUT_PATTERN_ELEMENT__MODEL

The meta object literal for the 'Model' reference feature.

#### SIMPLE_OUT_PATTERN_ELEMENT

    static final org.eclipse.emf.ecore.EClass SIMPLE_OUT_PATTERN_ELEMENT

The meta object literal for the '`Simple Out Pattern Element`' class.

See Also:
  `SimpleOutPatternElement`, `ATLPackage.getSimpleOutPatternElement()`

#### SIMPLE_OUT_PATTERN_ELEMENT__REVERSE_BINDINGS

    static final org.eclipse.emf.ecore.EReference SIMPLE_OUT_PATTERN_ELEMENT__REVERSE_BINDINGS

The meta object literal for the 'Reverse Bindings' containment reference list feature.

#### FOR_EACH_OUT_PATTERN_ELEMENT

    static final org.eclipse.emf.ecore.EClass FOR_EACH_OUT_PATTERN_ELEMENT

The meta object literal for the '`For Each Out Pattern Element`' class.

See Also:
  `ForEachOutPatternElement`, `ATLPackage.getForEachOutPatternElement()`

#### FOR_EACH_OUT_PATTERN_ELEMENT__COLLECTION

    static final org.eclipse.emf.ecore.EReference FOR_EACH_OUT_PATTERN_ELEMENT__COLLECTION

The meta object literal for the 'Collection' containment reference feature.

#### FOR_EACH_OUT_PATTERN_ELEMENT__ITERATOR

    static final org.eclipse.emf.ecore.EReference FOR_EACH_OUT_PATTERN_ELEMENT__ITERATOR

The meta object literal for the 'Iterator' containment reference feature.

#### BINDING

    static final org.eclipse.emf.ecore.EClass BINDING

The meta object literal for the '`Binding`' class.

See Also:
  `Binding`, `ATLPackage.getBinding()`

#### BINDING__VALUE

    static final org.eclipse.emf.ecore.EReference BINDING__VALUE

The meta object literal for the 'Value' containment reference feature.

#### BINDING__OUT_PATTERN_ELEMENT

    static final org.eclipse.emf.ecore.EReference BINDING__OUT_PATTERN_ELEMENT

The meta object literal for the 'Out Pattern Element' container reference feature.

#### BINDING__PROPERTY_NAME

    static final org.eclipse.emf.ecore.EAttribute BINDING__PROPERTY_NAME

The meta object literal for the 'Property Name' attribute feature.

#### BINDING__IS_ASSIGNMENT

    static final org.eclipse.emf.ecore.EAttribute BINDING__IS_ASSIGNMENT

The meta object literal for the 'Is Assignment' attribute feature.

#### RULE_VARIABLE_DECLARATION

    static final org.eclipse.emf.ecore.EClass RULE_VARIABLE_DECLARATION

The meta object literal for the '`Rule Variable Declaration`' class.

See Also:
  `RuleVariableDeclaration`, `ATLPackage.getRuleVariableDeclaration()`

#### RULE_VARIABLE_DECLARATION__RULE

    static final org.eclipse.emf.ecore.EReference RULE_VARIABLE_DECLARATION__RULE

The meta object literal for the 'Rule' container reference feature.

#### LIBRARY_REF

    static final org.eclipse.emf.ecore.EClass LIBRARY_REF

The meta object literal for the '`Library Ref`' class.

See Also:
  `LibraryRef`, `ATLPackage.getLibraryRef()`

#### LIBRARY_REF__UNIT

    static final org.eclipse.emf.ecore.EReference LIBRARY_REF__UNIT

The meta object literal for the 'Unit' container reference feature.

#### LIBRARY_REF__NAME

    static final org.eclipse.emf.ecore.EAttribute LIBRARY_REF__NAME

The meta object literal for the 'Name' attribute feature.

#### ACTION_BLOCK

    static final org.eclipse.emf.ecore.EClass ACTION_BLOCK

The meta object literal for the '`Action Block`' class.

See Also:
  `ActionBlock`, `ATLPackage.getActionBlock()`

#### ACTION_BLOCK__RULE

    static final org.eclipse.emf.ecore.EReference ACTION_BLOCK__RULE

The meta object literal for the 'Rule' container reference feature.

#### ACTION_BLOCK__STATEMENTS

    static final org.eclipse.emf.ecore.EReference ACTION_BLOCK__STATEMENTS

The meta object literal for the 'Statements' containment reference list feature.

#### STATEMENT

    static final org.eclipse.emf.ecore.EClass STATEMENT

The meta object literal for the '`Statement`' class.

See Also:
  `Statement`, `ATLPackage.getStatement()`

#### EXPRESSION_STAT

    static final org.eclipse.emf.ecore.EClass EXPRESSION_STAT

The meta object literal for the '`Expression Stat`' class.

See Also:
  `ExpressionStat`, `ATLPackage.getExpressionStat()`

#### EXPRESSION_STAT__EXPRESSION

    static final org.eclipse.emf.ecore.EReference EXPRESSION_STAT__EXPRESSION

The meta object literal for the 'Expression' containment reference feature.

#### BINDING_STAT

    static final org.eclipse.emf.ecore.EClass BINDING_STAT

The meta object literal for the '`Binding Stat`' class.

See Also:
  `BindingStat`, `ATLPackage.getBindingStat()`

#### BINDING_STAT__SOURCE

    static final org.eclipse.emf.ecore.EReference BINDING_STAT__SOURCE

The meta object literal for the 'Source' containment reference feature.

#### BINDING_STAT__PROPERTY_NAME

    static final org.eclipse.emf.ecore.EAttribute BINDING_STAT__PROPERTY_NAME

The meta object literal for the 'Property Name' attribute feature.

#### BINDING_STAT__IS_ASSIGNMENT

    static final org.eclipse.emf.ecore.EAttribute BINDING_STAT__IS_ASSIGNMENT

The meta object literal for the 'Is Assignment' attribute feature.

#### BINDING_STAT__VALUE

    static final org.eclipse.emf.ecore.EReference BINDING_STAT__VALUE

The meta object literal for the 'Value' containment reference feature.

#### IF_STAT

    static final org.eclipse.emf.ecore.EClass IF_STAT

The meta object literal for the '`If Stat`' class.

See Also:
  `IfStat`, `ATLPackage.getIfStat()`

#### IF_STAT__CONDITION

    static final org.eclipse.emf.ecore.EReference IF_STAT__CONDITION

The meta object literal for the 'Condition' containment reference feature.

#### IF_STAT__THEN_STATEMENTS

    static final org.eclipse.emf.ecore.EReference IF_STAT__THEN_STATEMENTS

The meta object literal for the 'Then Statements' containment reference list feature.

#### IF_STAT__ELSE_STATEMENTS

    static final org.eclipse.emf.ecore.EReference IF_STAT__ELSE_STATEMENTS

The meta object literal for the 'Else Statements' containment reference list feature.

#### FOR_STAT

    static final org.eclipse.emf.ecore.EClass FOR_STAT

The meta object literal for the '`For Stat`' class.

See Also:
  `ForStat`, `ATLPackage.getForStat()`

#### FOR_STAT__ITERATOR

    static final org.eclipse.emf.ecore.EReference FOR_STAT__ITERATOR

The meta object literal for the 'Iterator' containment reference feature.

#### FOR_STAT__COLLECTION

    static final org.eclipse.emf.ecore.EReference FOR_STAT__COLLECTION

The meta object literal for the 'Collection' containment reference feature.

#### FOR_STAT__STATEMENTS

    static final org.eclipse.emf.ecore.EReference FOR_STAT__STATEMENTS

The meta object literal for the 'Statements' containment reference list feature.